Bug 1239256 - trust-anchors.conf is missing
Summary: trust-anchors.conf is missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnsmasq
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-05 02:49 UTC by kealthou
Modified: 2015-11-01 21:49 UTC (History)
6 users (show)

Fixed In Version: dnsmasq-2.75-2.fc23 dnsmasq-2.75-2.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-01 02:30:22 UTC
Type: Bug


Attachments (Terms of Use)

Description kealthou 2015-07-05 02:49:46 UTC
Description of problem:
To enable DNSSEC, trust-anchos.conf is needed, but it's not installed. /etc/dnsmasq.conf says:

# Uncomment these to enable DNSSEC validation and caching:
# (Requires dnsmasq to be built with DNSSEC option.)
#conf-file=%%PREFIX%%/share/dnsmasq/trust-anchors.conf
#dnssec

Incidentally, why don't you replace the path with where the conf file is installed.

Version-Release number of selected component (if applicable):
dnsmasq-2.72-3.fc22.i686

Comment 1 Pavel Šimerda (pavlix) 2015-08-28 12:30:16 UTC
(In reply to kealthou from comment #0)
> Description of problem:
> To enable DNSSEC

From our experience, there's much more you need to properly use DNSSEC on all sorts of hosts including road warrior laptops.

> trust-anchos.conf is needed, but it's not installed.
> /etc/dnsmasq.conf says:

Is trust-anchors.conf part of the upstream 2.72 package? Is it possible that it would conflict with other DNSSEC related packages? Tomáš might be able to answer.

> # Uncomment these to enable DNSSEC validation and caching:
> # (Requires dnsmasq to be built with DNSSEC option.)
> #conf-file=%%PREFIX%%/share/dnsmasq/trust-anchors.conf
> #dnssec
> 
> Incidentally, why don't you replace the path with where the conf file is
> installed.

Makes sense.

Comment 2 Tomáš Hozza 2015-08-31 08:22:29 UTC
(In reply to Pavel Šimerda (pavlix) from comment #1)
> (In reply to kealthou from comment #0)
> > Description of problem:
> > To enable DNSSEC
> 
> From our experience, there's much more you need to properly use DNSSEC on
> all sorts of hosts including road warrior laptops.
> 
> > trust-anchos.conf is needed, but it's not installed.
> > /etc/dnsmasq.conf says:
> 
> Is trust-anchors.conf part of the upstream 2.72 package? Is it possible that
> it would conflict with other DNSSEC related packages? Tomáš might be able to
> answer.

At this moment there is no standardized single location for root zone trust anchor. All DNS validating resolvers distribute the root trust anchor separately.

So possible solutions are:

1. add dependency on unblund-libs which distributes the root trust anchor and also utility that makes sure the key is up to date with compliance to RFC 5011.

2. dnsmasq can distribute its own copy of root trust anchor.

Comment 3 Pavel Šimerda (pavlix) 2015-09-02 07:51:44 UTC
(In reply to Tomas Hozza from comment #2)
> 1. add dependency on unblund-libs which distributes the root trust anchor
> and also utility that makes sure the key is up to date with compliance to
> RFC 5011.

I suspect a dependency on unbound-libs would be excessive for dnsmasq.

> 2. dnsmasq can distribute its own copy of root trust anchor.

Sounds like a plan. Any comments from the reporter or answers to my previous questions?

Comment 4 Fedora Update System 2015-10-22 09:24:09 UTC
dnsmasq-2.75-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5b4891166

Comment 5 Fedora Update System 2015-10-22 09:24:18 UTC
dnsmasq-2.75-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f0118c8b4a

Comment 6 Fedora Update System 2015-10-22 09:24:25 UTC
dnsmasq-2.75-2.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-311e897518

Comment 7 Fedora Update System 2015-10-24 12:07:51 UTC
dnsmasq-2.75-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnsmasq'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-e5b4891166

Comment 8 Fedora Update System 2015-10-26 10:27:19 UTC
dnsmasq-2.75-2.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnsmasq'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-311e897518

Comment 9 Fedora Update System 2015-10-26 18:29:07 UTC
dnsmasq-2.75-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update dnsmasq'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f0118c8b4a

Comment 10 Fedora Update System 2015-11-01 02:30:20 UTC
dnsmasq-2.75-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-11-01 21:49:41 UTC
dnsmasq-2.75-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.